# Table of Contents

Documentation for React on Rails has moved!

Here is the new link:

**[React on Rails Documentation Link](https://www.shakacode.com/react-on-rails/docs/)**

-----

## **OLD DOCS BELOW**
+ [Home](./README.md)

## **Basics**
  + [React on Rails Basic Installation Tutorial](./docs/tutorial.md)
  + [Webpack Configuration](./docs/guides/webpack-configuration.md)
  + [How React on Rails Works](docs/outdated/how-react-on-rails-works.md)
  + [Client vs. Server Rendering](./docs/guides/client-vs-server-rendering.md)
  + [React Server Rendering](./docs/guides/react-server-rendering.md)
  + [🚀 Next-Gen Server Rendering: Streaming with React 18's Latest APIs](./docs/guides/streaming-server-rendering.md)
  + [Render-Functions and the RailsContext](docs/guides/render-functions-and-railscontext.md)
  + [Caching and Performance: React on Rails Pro](https://github.com/shakacode/react_on_rails/wiki).
  + [Deployment](docs/guides/deployment.md).
  + [React on Rails Internationalization (I18n, localization)](docs/guides/i18n.md)
  + [RSpec Test Helpers Configuration](docs/guides/rspec-configuration.md)
  + [Minitest Configuration](docs/guides/minitest-configuration.md)
  + [Upgrading React on Rails](docs/guides/upgrading-react-on-rails.md)
  
## **API**
  - [View Helpers API](./docs/api/view-helpers-api.md)
  - [JavaScript API](./docs/api/javascript-api.md)
  - [Redux Store API](./docs/api/redux-store-api.md)

## **Additional Details**
  + [Migration from react-rails](./docs/guides/migrating-from-react-rails.md)
  + [Generator Details](docs/guides/generator-details.md)
  + [Updating Dependencies](./docs/additional-reading/updating-dependencies.md)
  + [Manual Installation Overview](docs/outdated/manual-installation-overview.md)
  + [Upgrading from rails/webpacker v3 to v4](docs/additional-reading/upgrade-webpacker-v3-to-v4.md)
  + [Recommended Project Structure](docs/additional-reading/recommended-project-structure.md)
  
## **Rails**
  + [Rails Engine Integration](./docs/additional-reading/rails-engine-integration.md)
  + [Rails View Rendering from Inline JavaScript](./docs/additional-reading/rails_view_rendering_from_inline_javascript.md)
  + [Turbolinks](./docs/additional-reading/turbolinks.md)
  + [Converting a Rails 5 API only app to a Rails app](./docs/additional-reading/convert-rails-5-api-only-app.md)

## **Javascript**
  + [Node Dependencies, NPM, and Yarn](./docs/additional-reading/node-dependencies-and-npm.md)
  + [React Router](./docs/additional-reading/react-router.md)
  + [React & Redux](./docs/additional-reading/react-and-redux.md)
  + [Webpack Tips](./docs/additional-reading/webpack.md)
  + [Server Rendering Tips](./docs/additional-reading/server-rendering-tips.md)
  + [Code Splitting](docs/outdated/code-splitting.md)
  + [AngularJS Integration and Migration to React on Rails](./docs/additional-reading/angular-js-integration-migration.md)

## **Deployment**
  + [Heroku Deployment](docs/guides/heroku-deployment.md)
  + [Elastic Beanstalk Deployment](./docs/additional-reading/elastic-beanstalk.md)

## Outdated Non-Webpack Docs
  + [Developing with the Webpack Dev Server](./docs/additional-reading/webpack-dev-server.md)
  + [Webpack, the Asset Pipeline, and Using Assets w/ React](./docs/outdated/rails-assets-relative-paths.md)

## **[CONTRIBUTING](CONTRIBUTING.md)**
  + [Generator Testing](./docs/contributor-info/generator-testing.md)
  + [Linting](./docs/contributor-info/linters.md)
  + [Releasing](./docs/contributor-info/releasing.md)

## **Misc**
  + [Tips](./docs/additional-reading/tips.md)
  + [Changelog](./CHANGELOG.md)
  + [Projects](./PROJECTS.md)
  + [Shaka Code Style](./docs/coding-style/style.md)
  + [React on Rails, Slides](http://www.slideshare.net/justingordon/react-on-rails-v61)
  + [Code of Conduct](./docs/misc/code_of_conduct.md)
  + [The React on Rails Doctrine](https://medium.com/@railsonmaui/the-react-on-rails-doctrine-3c59a778c724)
  + [React on Rails, 2000+ 🌟 Stars](https://medium.com/shakacode/react-on-rails-2000-stars-32ff5cfacfbf#.6gmfb2gpy)
